> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/travel-rule/add-jsondidkey-to-vasp-details",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Add jsonDidKey to VASP details

> Update VASP Details.

Updates a VASP with the provided parameters. Use this endpoint to add your public jsonDIDkey generated by Notabene.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml put /screening/travel_rule/vasp/update
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /screening/travel_rule/vasp/update:
    put:
      tags:
        - Travel Rule
      summary: Add jsonDidKey to VASP details
      description: >-
        Update VASP Details.


        Updates a VASP with the provided parameters. Use this endpoint to add
        your public jsonDIDkey generated by Notabene.
      operationId: updateVasp
      parameters:
        - $ref: '#/components/parameters/X-Idempotency-Key'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TravelRuleUpdateVASPDetails'
      responses:
        '200':
          description: VASP updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TravelRuleUpdateVASPDetails'
        '400':
          description: Invalid request body
        '500':
          description: Internal server error
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<TravelRuleUpdateVASPDetails>> =
            fireblocks.travelRule.updateVasp(travelRuleApiUpdateVaspRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<TravelRuleUpdateVASPDetails>> response
            = fireblocks.travelRule().updateVasp(travelRuleUpdateVASPDetails,
            idempotencyKey);
        - lang: Python
          source: >-
            response =
            fireblocks.travel_rule.update_vasp(travel_rule_update_v_a_s_p_details,
            idempotency_key);
components:
  parameters:
    X-Idempotency-Key:
      name: Idempotency-Key
      in: header
      description: >-
        A unique identifier for the request. If the request is sent multiple
        times with the same idempotency key, the server will return the same
        response as the first request. The idempotency key is valid for 24
        hours.
      required: false
      schema:
        type: string
  schemas:
    TravelRuleUpdateVASPDetails:
      type: object
      properties:
        did:
          type: string
          example: did:ethr:0x44957e75d6ce4a5bf37aae117da86422c848f7c2
          description: The decentralized identifier of the VASP
        pii_didkey:
          type: string
          example: did:key:z6Mks5CZRaiooKYhq5TwtXQC1gWhwiZnmiKfFrMnYY62MhYf
          description: The PII DID key of the VASP
      required:
        - did
        - pii_didkey

````